package ic;

import java.util.*;


public class AnimationTime {
  protected long initialTime=0;
  protected long finalTime=0;
  protected int initialValue=0;
  protected int finalValue=0;
  double deltaPerMillisecond = 0.0;


  public AnimationTime() {
    this.initialTime = 0;
    this.initialValue = 0;
    this.finalTime = 0;
    this.finalValue = 0;

  }

  public AnimationTime(int initialValue) {
    Date date = new Date();
    this.initialTime = date.getTime();
    this.initialValue = initialValue;
  }

  public void setInitialTime(int initialValue){
    Date d = new Date();
    this.initialTime = d.getTime();
    this.initialValue = initialValue;
  }


  public void setFinalTime(int finalValue){
    Date d = new Date();
    this.finalTime = d.getTime();
    this.finalValue = finalValue;
  }

  public long getValuePerMillisecond(){
    deltaPerMillisecond = Math.abs(((double)(this.finalTime - this.initialTime))/((double)(this.finalValue - this.initialValue+1)));
    return Math.abs(Math.round(deltaPerMillisecond));
  }

}//end class